#!/bin/bash

set -eu

mkdir -p /app/data/data /app/data/config

if ! [ -f /app/data/config/config.xml ]; then
  cp /app/code/config.xml.default /app/data/config/config.xml
fi

sed -e 's,<listenAddress>.*</listenAddress>,<listenAddress>tcp://:22000</listenAddress>,' -i /app/data/config/config.xml

export STNODEFAULTFOLDER=1 STNOUPGRADE=1
exec busybox init

